%define real_name Email-Address
%define	name perl-%{real_name}
%define	version 1.80
%define	release 1mdk

Summary:	Email::Address - RFC 2822 Address Parsing and Creation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	http://search.cpan.org/CPAN/authors/id/C/CW/CWEST/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This class implements a complete RFC 2822 parser that locates
email addresses in strings and returns a list of "Email::Address"
objects found. Alternatley you may construct objects manually.
The goal of this software is to be correct, and very very fast.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README bench
%{perl_vendorlib}/Email/Address.pm
%{_mandir}/man3/*

%changelog
* Sun Jul 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.80-1mdk
- initial Mandriva package
